List persons
GET/api/persons
Required permissions:
- settings.team: allows view of company persons.
Here the dedicated support page.
Request
Query Parameters
- Equal
- Not equal
- Greater than
- Greater than or equal
- Less than
- Less than or equal
- In list
- Not in list
- Between
Possible values: >= 1
Filter items by the job_title_id field.
Possible values: >= 1
Filter items by the allocation_manager_id field.
Possible values: >= 1 and <= 100
Default value: 100
The number of items to include in the response.
Default value: 0
The offset of the first returned item.
Filter items by the updated_at field.
Usage: eq:{value}
Usage: neq:{value}
Usage: gt:{value}
Usage: gte:{value}
Usage: lt:{value}
Usage: lte:{value}
Usage: in:{value_1},{value_2},{value_3}
Usage: nin:{value_1},{value_2},{value_3}
Description: The given values are inclusive.
Usage: bt:{value_min},{value_max}
Header Parameters
The company you want to interact with
The API version you want to use
Responses
- 200
- 400
- 401
- 403
- 412
Returns the list of persons.
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Possible values: >= 1
The unique identifier of the resource
The date and time when the resource was created
The date and time when the resource was last updated
Possible values: <= 50 characters
The person email
Possible values: <= 50 characters
The person name
Possible values: <= 50 characters
The person surname
Possible values: >= 1
ID of the role associated with this person
Possible values: <= 50 characters
The person role
Whether the person is archived
Whether the person is visible in people allocation
Whether the person needs to fill in timesheet
Possible values: >= 1
ID of the level associated with this person
Possible values: >= 1
ID of the stream associated with this person.
⚠️ Ignored if Streams are disabled in company settings.
Possible values: >= 1
ID of the price list associated with this person
Possible values: >= 1
ID of the job title associated with this person
Possible values: >= 1
ID of the allocation manager associated with this person
Possible values: >= 1
ID of the capacity associated with this person
Possible values: >= 1
ID of the location associated with this person
[
{
"id": 1,
"created_at": "2026-03-24T16:47:31.922Z",
"updated_at": "2026-03-24T16:47:31.922Z",
"email": "john.doe@example.com",
"name": "John",
"surname": "Doe",
"role_id": 1,
"role": "super user",
"is_archived": false,
"is_visible_in_people_allocation": true,
"has_timesheet_required": true,
"level_id": 1,
"stream_id": 1,
"price_list_id": 1,
"job_title_id": 1,
"allocation_manager_id": 1,
"capacity_id": 1,
"location_id": 1
}
]
Validation failed
- application/json
- Schema
- Example (from schema)
Schema
Array [
]
Error unique key
Human-readable message describing the error
failures
object[]
List of validation errors
Name of the field causing the error
Human-readable description of the error
{
"key": "invalid_data",
"message": "You provided invalid data. Check 'failures' for details.",
"failures": [
{
"field": "string",
"message": "string"
}
]
}
Unauthorized
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Forbidden
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "string",
"message": "string"
}
Precondition failed
- application/json
- Schema
- Example (from schema)
Schema
Error unique key
Human-readable message describing the error
{
"key": "precondition_failure",
"message": "string"
}